## com.saxonica
Class Transform

    java.lang.Object
      net.sf.saxon.Transform
          com.saxonica.Transform

    public class Transform

extends Transform

This is a schema-aware version of the command line interface for running XSLT transformations

Field Summary

Fields inherited from class net.sf.saxon.Transform
`config, factory, repeat, showTime, useURLs`

Constructor Summary
`Transform()`

Method Summary
`Configuration` `getConfiguration()` Get the configuration.
`static void` `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`void` `setFactoryConfiguration(boolean schemaAware, java.lang.String className)` Set the configuration in the TransformerFactory.

Methods inherited from class net.sf.saxon.Transform
`badUsage, doTransform, loadDocuments, newController, now, preprocess, processDirectory, processDirectoryAssoc, processFile, processFileAssoc, quit, setParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### setFactoryConfiguration

    public void setFactoryConfiguration(boolean schemaAware,
                                        java.lang.String className)

  Set the configuration in the TransformerFactory. This is designed to be overridden in a subclass

  Overrides:
    `setFactoryConfiguration` in class `Transform`
  Parameters:
    `schemaAware` - true if a schema-aware configuration is required
    `className` - Name of the required configuration class

### getConfiguration

    public Configuration getConfiguration()

  Description copied from class: `Transform`
  Get the configuration.

  Overrides:
    `getConfiguration` in class `Transform`
  Returns:
    the Saxon configuration

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line
  Throws:
    `java.lang.Exception` - Indicates that a compile-time or run-time error occurred

Copyright (c) Saxonica Limited. All rights reserved.